<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class RejectReason extends Model
{
    use SoftDeletes;

    protected $fillable = [
        'plant_id',
        'line_id',
        'work_group_master_id',
        'code',
        'reason',
        'created_at',
        'updated_at',
        'created_by',
    ];

    public function plant(): BelongsTo
    {
        return $this->belongsTo(Plant::class);
    }

    public function line(): BelongsTo
    {
        return $this->belongsTo(Line::class);
    }

    public function workGroupMaster(): BelongsTo
    {
        return $this->belongsTo(WorkGroupMaster::class);
    }
}
